=== debian/changelog ===
hhsuite (3.0~beta3+dfsg-3) unstable; urgency=high

  * Team upload

  [ Andreas Tille ]
  * Build against ffindex (>= 0.9.9.8)

  [ Michael R. Crusoe ]
  * Don't build with -march=native

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 15 Feb 2019 10:06:44 -0800

hhsuite (3.0~beta3+dfsg-2) unstable; urgency=medium

  * Install context_data.crf (Thanks for the patch to Andrius Merkys
    <andrius.merkys@gmail.com>)
    Closes: #918765
  * Add autopkgtest reproducing the issue of bug #918765
  * debhelper 11
  * Standards-Version: 4.3.0
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/copyright
  * Do not parse d/changelog
  * Add versioned (Build-)Depends: ffindex
    (>= 0.9.9.7.soedinglab+git20171201.74550c8)
  * Adapt doc-base file to debhelper 11 location

 -- Andreas Tille <tille@debian.org>  Wed, 09 Jan 2019 17:36:27 +0100

hhsuite (3.0~beta3+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version.
  * debian/upstream/metadata:
    - yamllint cleanliness
    - Added references to registries
  * d/control
    - compliance with policy 4.2
    - adapted Vcs URLs to salsa.d.o
  * Caveat: Does not compile with openmpi libraries discovered.
    See README.source.

  [ Andreas Tille ]
  * Fix Vcs-Browser
  * Do not parse d/changelog to obtain version

 -- Andreas Tille <tille@debian.org>  Tue, 21 Aug 2018 21:09:09 +0200
