=== debian/control ===
Source: hhsuite
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@debian.org>,
           Andreas Tille <tille@debian.org>,
           Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               libffindex0-dev (>= 0.9.9.8),
               cmake,
               texlive-latex-base,
               texlive-latex-recommended,
               imagemagick,
               help2man
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/hhsuite
Vcs-Git: https://salsa.debian.org/med-team/hhsuite.git
Homepage: https://toolkit.tuebingen.mpg.de/

Package: hhsuite
Architecture: amd64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ffindex (>= 0.9.9.8),
         hhsuite-data (= ${source:Version}),
         python
Breaks: hhsuite-data (<= 2.0.16-1)
Description: sensitive protein sequence searching based on HMM-HMM alignment
 HH-suite is an open-source software package for sensitive protein sequence
 searching based on the pairwise alignment of hidden Markov models (HMMs).
 .
 This package contains HHsearch and HHblits among other programs and utilities.
 .
 HHsearch takes as input a multiple sequence alignment (MSA) or profile HMM
 and searches a database of HMMs (e.g. PDB, Pfam, or InterPro) for homologous
 proteins. HHsearch is often used for protein structure prediction to detect
 homologous templates and to build highly accurate query-template pairwise
 alignments for homology modeling.
 .
 HHblits can build high-quality MSAs starting from single sequences or from
 MSAs. It transforms these into a query HMM and, using an iterative search
 strategy, adds significantly similar sequences from the previous search to
 the updated query HMM for the next search iteration. Compared to PSI-BLAST,
 HHblits is faster, up to twice as sensitive and produces more accurate
 alignments.

Package: hhsuite-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: hhsuite
Breaks: hhsuite (<= 2.0.16-1)
Replaces: hhsuite (<= 2.0.16-1)
Description: documentation for HHsuite for HMM-HMM comparisons
 HH-suite is an open-source software package for sensitive protein sequence
 searching based on the pairwise alignment of hidden Markov models (HMMs).
 .
 This package provides a PDF with the user guide for HH-suite.

Package: hhsuite-data
Architecture: all
Depends: ${misc:Depends}
Description: sensitive protein sequence searching based on HMM-HMM alignment (data)
 HH-suite is an open-source software package for sensitive protein sequence
 searching based on the pairwise alignment of hidden Markov models (HMMs).
 .
 This package contains architecture independent scripts and data files.
