=== debian/changelog ===
hhsuite (3.2.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:06 +0100

hhsuite (3.2.0-2) unstable; urgency=medium

  [ Santiago Vila ]
  * Fix FTBFS when built with dpkg-buildpackage -A
    Closes: #932912

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jul 2019 03:06:04 +0200

hhsuite (3.2.0-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * New upstream release.
    "Added hhsearch_omp, hhsearch_mpi, hhalign_omp and haling_mpi binaries
     Removed non-GPLv3 compatible code
     ffindex_apply_mpi will not crash anymore on systems with low amount of
       virtual memory"
  * The non-GPLv3 code was in src/hhprefilter.cpp; now gone
  * Mark hhsuite-data as Multi-Arch: foreign
  * Drop hhsuite-doc: documentation moved by upstream to
    https://github.com/soedinglab/hh-suite/wiki
  * Removed '-march=native'

  [ Andrius Merkys ]
  * Revoking executable permission from Perl modules.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 23 Jul 2019 12:06:51 +0200
