=== debian/control ===
--- 
+++ 
@@ -5,14 +5,12 @@
            Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libffindex0-dev (>= 0.9.9.8),
                cmake,
-               texlive-latex-base,
-               texlive-latex-recommended,
                imagemagick,
                help2man
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/hhsuite
 Vcs-Git: https://salsa.debian.org/med-team/hhsuite.git
 Homepage: https://toolkit.tuebingen.mpg.de/
@@ -21,10 +19,10 @@
 Architecture: amd64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         ${perl:Depends},
          ffindex (>= 0.9.9.8),
          hhsuite-data (= ${source:Version}),
-         python
-Breaks: hhsuite-data (<= 2.0.16-1)
+         python3
 Description: sensitive protein sequence searching based on HMM-HMM alignment
  HH-suite is an open-source software package for sensitive protein sequence
  searching based on the pairwise alignment of hidden Markov models (HMMs).
@@ -44,22 +42,9 @@
  HHblits is faster, up to twice as sensitive and produces more accurate
  alignments.
 
-Package: hhsuite-doc
-Architecture: all
-Section: doc
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: hhsuite
-Breaks: hhsuite (<= 2.0.16-1)
-Replaces: hhsuite (<= 2.0.16-1)
-Description: documentation for HHsuite for HMM-HMM comparisons
- HH-suite is an open-source software package for sensitive protein sequence
- searching based on the pairwise alignment of hidden Markov models (HMMs).
- .
- This package provides a PDF with the user guide for HH-suite.
-
 Package: hhsuite-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: sensitive protein sequence searching based on HMM-HMM alignment (data)
  HH-suite is an open-source software package for sensitive protein sequence
