=== debian/watch ===
version=4

opts="uversionmangle=s/-beta\.(\d)/~beta$1/;s/-beta/~beta/,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://github.com/soedinglab/hh-suite/releases .*/archive/v(\d[-\d.beta]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
