=== src/cs/CMakeLists.txt ===
set(CS_SOURCE
	aa.cc
	as.cc
	assert_helpers.cc
	blosum_matrix.cc
	getopt_pp.cc
	log.cc
	application.cc
)

add_library(CS_OBJECTS ${CS_SOURCE})
