=== debian/changelog ===
hhsuite (3.3.0+ds-9) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1112991
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 17:36:29 +0200

hhsuite (3.3.0+ds-8) unstable; urgency=medium

  * Team upload.
  * gcc-13.patch: new: fix ftbfs with gcc 13. (Closes: #1037689)
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Sun, 13 Aug 2023 10:47:11 +0200

hhsuite (3.3.0+ds-7) unstable; urgency=medium

  * Fix watchfile.
  * Bump Standards-Version.
  * Update date in d/copyright.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 25 Oct 2022 15:17:24 +0200

hhsuite (3.3.0+ds-6) unstable; urgency=medium

  * Adjust patch to not overwrite example files in tests.
    This caused a modified file containing the build time to be packaged,
    leaving the package unreproducible (and is likely not intended here)

 -- Sascha Steinbiss <satta@debian.org>  Mon, 22 Nov 2021 22:27:31 +0100

hhsuite (3.3.0+ds-5) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 14:36:58 +0200

hhsuite (3.3.0+ds-4) unstable; urgency=medium

  * Team upload.
  * Fix tests on non-x86.
  * Include Built-Using: ${simde:Built-Using} to satisfy GPL requirements

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 02 Sep 2020 15:39:19 +0200

hhsuite (3.3.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Drop unused add_Makefile_in_data.patch
  * Apply patch from upstream to enable full testing without MPI
  * Ship the ffindex binaries from the hhsuite fork and Conflict with the
    ffindex package.
  * Replace disable-AVX-SSE.patch with NATIVE_ARCH=0
  * Build-depend on libsimde-dev 0.6.0-2 to get i386 related patches

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 02 Sep 2020 13:18:00 +0200

hhsuite (3.3.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix non-x86 builds

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 01 Sep 2020 11:37:48 +0200

hhsuite (3.3.0+ds-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Refresh patches
  * Include the a3m_* utilities
  * Exclude lib/simde and use libsimde-dev instead
  * Add missing GPL-2 text to debian/copyright
  * On i386 & amd64: build one binary for each SIMD level; add dispatching
    script
  * Upstream has hard forked ffindex, so use their copy
  * Removed two old, unused patches

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 31 Aug 2020 15:18:43 +0200

hhsuite (3.2.0-3) unstable; urgency=medium

  [ Steffen Möller ]
  * Added ref to conda

  [ Frédéric Bonnard ]
  * Enable ppc64el

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Tue, 17 Mar 2020 09:50:48 +0100
