## hhsuite 3.3.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,15 +2,26 @@
 project(hhsuite C CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
-set(HAVE_SSE2 0 CACHE BOOL "Have SSE2")
-set(HAVE_AVX2 0 CACHE BOOL "Have AVX2")
 set(ENABLE_SANITIZERS 0 CACHE BOOL "Enable Sanitizers")
 
 if (NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE Release)
-endif (NOT CMAKE_BUILD_TYPE)
+endif ()
 
-if (${ENABLE_SANITIZERS})
+if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    message("-- Compiler is clang(++)")
+    set(CMAKE_COMPILER_IS_CLANG 1)
+elseif (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+    message("-- Compiler is GNU ")
+    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.8.0")
+        message(FATAL_ERROR "Insufficient gcc version")
+    endif ()
+elseif (CMAKE_CXX_COMPILER_ID MATCHES "Intel")
+    message("-- Compiler is icc(++)")
+    set(CMAKE_COMPILER_IS_ICC 1)
+endif ()
+
+if (ENABLE_SANITIZERS)
     include(FindUBSan)
     include(FindASan)
     include(FindMSan)
@@ -18,13 +29,15 @@
 endif ()
 
 set(HHSUITE_VERSION_MAJOR 3)
-set(HHSUITE_VERSION_MINOR 1)
+set(HHSUITE_VERSION_MINOR 3)
 set(HHSUITE_VERSION_PATCH 0)
 
 include_directories(${CMAKE_BINARY_DIR}/generated)
 include_directories(${PROJECT_BINARY_DIR}/generated)
 include_directories(src)
 include_directories(lib/ffindex/src)
+include_directories(lib/simde)
+include_directories(lib/simd)
 
 add_subdirectory(lib/ffindex)
 add_subdirectory(data)
