=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,83 @@
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
 set(CHECK_MPI 1 CACHE BOOL "Check MPI availability")
-
-if (${HAVE_AVX2})
-    ADD_DEFINITIONS("-DAVX2")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mavx2 -Wa,-q")
-elseif (${HAVE_SSE2})
-    ADD_DEFINITIONS("-DSSE")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse -msse2")
+set(HAVE_AVX2 0 CACHE BOOL "Have CPU with AVX2")
+set(HAVE_SSE4_1 0 CACHE BOOL "Have CPU with SSE4.1")
+set(HAVE_SSE2 0 CACHE BOOL "Have CPU with SSE2")
+set(HAVE_POWER9 0 CACHE BOOL "Have POWER9 CPU")
+set(HAVE_POWER8 0 CACHE BOOL "Have POWER8 CPU")
+set(HAVE_ARM8 0 CACHE BOOL "Have ARMv8 CPU")
+set(NATIVE_ARCH 1 CACHE BOOL "Assume native architecture for SIMD. Use one of the HAVE_* options or set CMAKE_CXX_FLAGS to the appropriate flags if you disable this.")
+
+# see https://wiki.debian.org/ArchitectureSpecificsMemo for char signedness
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -fsigned-char")
+if (CMAKE_SYSTEM_PROCESSOR MATCHES "^(arm.*|ARM.*|aarch64.*|AARCH64.*)")
+    set(ARM 1)
+elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "PPC64*|ppc64*|powerpc64*")
+    set(PPC64 1)
+elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "amd64|AMD64")
+    set(X64 1)
+elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "x86|X86")
+    set(X86 1)
 else ()
-    include(CheckSSEFeatures)
-    ADD_DEFINITIONS(${CXX_DFLAGS})
-    if (${HAVE_AVX2_EXTENSIONS})
-        ADD_DEFINITIONS("-DAVX2")
-    elseif (${HAVE_SSE2_EXTENSIONS})
-        ADD_DEFINITIONS("-DSSE")
+    message(WARNING "CPU without native SIMD instructions. Performance will be bad.")
+endif ()
+
+# SIMD instruction sets support
+set(ARCH_FLAGS "")
+if (HAVE_AVX2)
+    if (CMAKE_COMPILER_IS_CLANG)
+        set(ARCH_FLAGS "${ARCH_FLAGS} -mavx2")
     else ()
-        message(FATAL_ERROR "At least SSE2 instruction set support is required! CMake will exit.")
-    endif (${HAVE_AVX2_EXTENSIONS})
+        set(ARCH_FLAGS "${ARCH_FLAGS} -mavx2 -Wa,-q")
+    endif ()
+elseif (HAVE_SSE4_1)
+    set(ARCH_FLAGS "${ARCH_FLAGS} -msse4.1")
+elseif (HAVE_SSE2)
+    set(ARCH_FLAGS "${ARCH_FLAGS} -msse2")
+elseif (HAVE_POWER9)
+    set(ARCH_FLAGS "${ARCH_FLAGS} -mcpu=power9 -mvsx")
+elseif (HAVE_POWER8)
+    set(ARCH_FLAGS "${ARCH_FLAGS} -mcpu=power8 -mvsx")
+elseif (HAVE_ARM8)
+    set(ARCH_FLAGS "${ARCH_FLAGS} -march=armv8-a+simd")
+endif ()
+
+if (NATIVE_ARCH AND (ARCH_FLAGS STREQUAL ""))
+    if (EMSCRIPTEN)
+        set(ARCH_FLAGS "-msimd128 -s WASM=1 -s ASSERTIONS=1")
+    elseif (X86 OR X64)
+        include(CheckSSEFeatures)
+        if (NOT HAVE_SSE4_1_EXTENSIONS)
+            if (NOT HAVE_SSE2_EXTENSIONS)
+                message(FATAL_ERROR "At least SSE2 is needed to compile")
+            endif ()
+            message(WARNING "At least SSE4.1 is needed for best performance")
+        endif ()
+        # clang has a problem with march=native on travis
+        if (CMAKE_CXX_COMPILER_ID MATCHES "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.0.0")
+            set(ARCH_FLAGS "${SSE_FLAGS}")
+        else()
+            set(ARCH_FLAGS "-march=native")
+        endif()
+    else ()
+        if (PPC64)
+            set(ARCH_FLAGS "-mcpu=native")
+        else ()
+            set(ARCH_FLAGS "-march=native")
+        endif ()
+    endif ()
+endif ()
+
+if (NOT (ARCH_FLAGS STREQUAL ""))
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${ARCH_FLAGS}")
+endif ()
+
+if (CMAKE_COMPILER_IS_ICC)
+    # default -fp-model results in inconsistent results in profile search
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fp-model precise")
+endif ()
+
+if (X86)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mfpmath=sse")
 endif ()
 
 find_package(OpenMP)
@@ -98,7 +159,6 @@
         hhfunc.cpp
         list.h
         log.h
-        simd.h
         )
 
 add_library(hhviterbialgorithm_with_celloff hhviterbialgorithm.cpp)
@@ -118,8 +178,8 @@
         hhviterbialgorithm_with_celloff
         hhviterbialgorithm_and_ss
         hhviterbialgorithm_with_celloff_and_ss)
-if (NOT HAVE_FMEMOPEN)
-target_link_libraries(HH_OBJECTS ext)
+if (OPENMP_FOUND AND NOT CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+    target_link_libraries(HH_OBJECTS ${OpenMP_CXX_LIBRARIES})
 endif()
 
 add_executable(hhblits hhblits_app.cpp)
@@ -143,6 +203,9 @@
 target_link_libraries(hhconsensus HH_OBJECTS)
 
 add_library(A3M_COMPRESS a3m_compress.cpp)
+if (OPENMP_FOUND AND NOT CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+    target_link_libraries(A3M_COMPRESS ${OpenMP_CXX_LIBRARIES})
+endif()
 
 add_executable(a3m_extract a3m_extract.cpp)
 target_link_libraries(a3m_extract ffindex A3M_COMPRESS)
