=== debian/control ===
--- 
+++ 
@@ -5,24 +5,26 @@
            Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               libffindex0-dev (>= 0.9.9.8),
+Build-Depends: debhelper-compat (= 13),
+               libsimde-dev,
                cmake,
                imagemagick,
                help2man
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/hhsuite
 Vcs-Git: https://salsa.debian.org/med-team/hhsuite.git
 Homepage: https://toolkit.tuebingen.mpg.de/
+Rules-Requires-Root: no
 
 Package: hhsuite
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${perl:Depends},
-         ffindex (>= 0.9.9.8),
          hhsuite-data (= ${source:Version}),
          python3
+Conflicts: ffindex
+Built-Using: ${simde:Built-Using}
 Description: sensitive protein sequence searching based on HMM-HMM alignment
  HH-suite is an open-source software package for sensitive protein sequence
  searching based on the pairwise alignment of hidden Markov models (HMMs).
