=== debian/watch ===
version=4
opts="uversionmangle=s/-beta\.(\d)/~beta$1/;s/-beta/~beta/,repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
https://github.com/soedinglab/hh-suite/tags .*/v(\d[-\d.beta]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
